ublas: boost::numeric::ublas::vector< T, A >::const_iterator Class Reference

# boost::numeric::ublas::vector< T, A >::const_iterator Class Reference

List of all members.

## Public Types

typedef vector::difference_type | difference_type
typedef vector::value_type | value_type
typedef vector::const_reference | reference
typedef const vector::pointer | pointer

## Public Member Functions

BOOST_UBLAS_INLINE | const_iterator (const self_type &v, const const_subiterator_type &it)
BOOST_UBLAS_INLINE | const_iterator (const typename self_type::iterator &it)
BOOST_UBLAS_INLINE const_iterator & | operator++ ()
| Increment by 1 the position of the iterator.
BOOST_UBLAS_INLINE const_iterator & | operator-- ()
| Decrement by 1 the position of the iterator.
BOOST_UBLAS_INLINE const_iterator & | operator+= (difference_type n)
| Increment by n the position of the iterator.
BOOST_UBLAS_INLINE const_iterator & | operator-= (difference_type n)
| Decrement by n the position of the iterator.
BOOST_UBLAS_INLINE difference_type | operator- (const const_iterator &it) const
| Return the different in number of positions between 2 iterators.
BOOST_UBLAS_INLINE const_reference | operator* () const
| Dereference an iterator Dereference an iterator: a bounds' check is done before returning the value. A bad_index() expection is returned if out of bounds.
BOOST_UBLAS_INLINE const_reference | operator[] (difference_type n) const

Dereference an iterator at the n-th forward value Dereference an iterator at the n-th forward value, that is the value pointed by iterator+n. A bounds' check is done before returning the value. A bad_index() expection is returned if out of bounds.

BOOST_UBLAS_INLINE size_type | index () const
| return the index of the element referenced by the iterator
BOOST_UBLAS_INLINE const_iterator & | operator= (const const_iterator &it)
| assign the value of an iterator to the iterator
BOOST_UBLAS_INLINE bool | operator== (const const_iterator &it) const
| compare the value of two itetarors
BOOST_UBLAS_INLINE bool | operator< (const const_iterator &it) const
| compare the value of two iterators

## Friends

class | iterator

### template<class T, class A>
class boost::numeric::ublas::vector< T, A >::const_iterator

## Member Function Documentation

template<class T, class A>

BOOST_UBLAS_INLINE const_reference boost::numeric::ublas::vector< T, A >::const_iterator::operator* | ( |  | ) | const

Returns:
  a const reference to the value pointed by the iterator

template<class T, class A>

BOOST_UBLAS_INLINE const_iterator& boost::numeric::ublas::vector< T, A >::const_iterator::operator++ | ( |  | ) |

Returns:
  a reference to the const iterator

template<class T, class A>

BOOST_UBLAS_INLINE const_iterator& boost::numeric::ublas::vector< T, A >::const_iterator::operator+= | ( | difference_type | n | ) |

Returns:
  a reference to the const iterator

template<class T, class A>

BOOST_UBLAS_INLINE const_iterator& boost::numeric::ublas::vector< T, A >::const_iterator::operator-- | ( |  | ) |

Returns:
  a reference to the const iterator

template<class T, class A>

BOOST_UBLAS_INLINE const_iterator& boost::numeric::ublas::vector< T, A >::const_iterator::operator-= | ( | difference_type | n | ) |

Returns:
  a reference to the const iterator

template<class T, class A>

BOOST_UBLAS_INLINE bool boost::numeric::ublas::vector< T, A >::const_iterator::operator< | ( | const const_iterator & | it | ) | const

Returns:
  return true if the left-hand-side iterator refers to a value placed before the right-hand-side iterator

template<class T, class A>

BOOST_UBLAS_INLINE bool boost::numeric::ublas::vector< T, A >::const_iterator::operator== | ( | const const_iterator & | it | ) | const

Returns:
  true if they reference the same element

template<class T, class A>

BOOST_UBLAS_INLINE const_reference boost::numeric::ublas::vector< T, A >::const_iterator::operator[] | ( | difference_type | n | ) | const

Returns:
  a const reference